//-----------------------------------------------------------------------------
// Copyright (c) 2012 GarageGames, LLC
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
// IN THE SOFTWARE.
//-----------------------------------------------------------------------------

new TerrainMaterial()
{
   diffuseMap = "levels/Ouer_salt/art/terrains/salt_base";
   detailMap = "levels/Ouer_salt/art/terrains/salt_detail.dds";
   internalName = "rockydirt";
   detailStrength = "0.2";
   diffuseSize = "4095";
   detailDistance = "80";
   parallaxScale = "0.01";
   detailSize = "6";
   useSideProjection = "0";
   macroMap = "levels/Ouer_salt/art/terrains/salt_macro.dds";
   macroSize = "400";
   macroStrength = "0.26";
   macroDistance = "200000";
   normalMap = "levels/Ouer_salt/art/terrains/salt_normal.dds";
};

new TerrainMaterial()
{
   diffuseMap = "levels/Ouer_salt/art/terrains/salt_base";
   detailMap = "levels/Ouer_salt/art/terrains/dirt_detail.dds";
   internalName = "dirt_rocky_large";
   detailStrength = "0.7";
   diffuseSize = "4095";
   detailDistance = "8000";
   parallaxScale = "0";
   detailSize = "2";
   useSideProjection = "0";
   macroMap = "levels/Ouer_salt/art/terrains/salt_macro.dds";
   macroSize = "400";
   macroStrength = "0.28";
   macroDistance = "100000";
   normalMap = "levels/Ouer_salt/art/terrains/dirt_normal.dds";
};

new TerrainMaterial()
{
   diffuseMap = "levels/Ouer_salt/art/terrains/salt_base";
   detailMap = "levels/Ouer_salt/art/terrains/salt_detail.dds";
   internalName = "salt2";
   detailStrength = "0.12";
   diffuseSize = "4095";
   detailDistance = "200";
   parallaxScale = "0.03";
   detailSize = "6";
   useSideProjection = "0";
   macroMap = "levels/Ouer_salt/art/terrains/salt_macro.dds";
   macroSize = "400";
   macroStrength = "0.14";
   macroDistance = "100000";
   normalMap = "levels/Ouer_salt/art/terrains/salt_normal.dds";
};

new TerrainMaterial()
{
   diffuseMap = "levels/Ouer_salt/art/terrains/salt_base";
   detailMap = "levels/Ouer_salt/art/terrains/sand_detail.dds";
   internalName = "dirt_sandy";
   detailStrength = "0.6";
   diffuseSize = "4095";
   detailDistance = "20000";
   parallaxScale = "0";
   detailSize = "5";
   useSideProjection = "0";
   macroMap = "levels/Ouer_salt/art/terrains/salt_macro.dds";
   macroSize = "400";
   macroStrength = "0.28";
   macroDistance = "100000";
   normalMap = "levels/Ouer_salt/art/terrains/sand_normal.dds";
};

new TerrainMaterial()
{
   diffuseMap = "levels/Ouer_salt/art/terrains/salt_base";
   detailMap = "levels/Ouer_salt/art/terrains/sand_detail2.dds";
   internalName = "concrete";
   detailStrength = "0.6";
   diffuseSize = "4095";
   detailDistance = "20000";
   parallaxScale = "0";
   detailSize = "5";
   useSideProjection = "0";
   macroMap = "levels/Ouer_salt/art/terrains/salt_macro.dds";
   macroSize = "400";
   macroStrength = "0.28";
   macroDistance = "100000";
   normalMap = "levels/Ouer_salt/art/terrains/sand_normal.dds";
};

new TerrainMaterial()
{
   diffuseMap = "levels/Ouer_salt/art/terrains/salt_base";
   detailMap = "levels/Ouer_salt/art/terrains/mix_detail.dds";
   internalName = "dirt_rocky";
   detailStrength = "0.7";
   diffuseSize = "4095";
   detailDistance = "20000";
   parallaxScale = "0";
   detailSize = "2";
   useSideProjection = "0";
   macroMap = "levels/Ouer_salt/art/terrains/salt_macro.dds";
   macroSize = "400";
   macroStrength = "0.28";
   macroDistance = "100000";
   normalMap = "levels/Ouer_salt/art/terrains/mix_normal.dds";
};

new TerrainMaterial()
{
   diffuseMap = "levels/Ouer_salt/art/terrains/salt_base";
   detailMap = "levels/Ouer_salt/art/terrains/hex_detail.dds";
   internalName = "concrete2";
   detailStrength = "0.3";
   diffuseSize = "4095";
   detailDistance = "20000";
   parallaxScale = "0";
   detailSize = "8";
   useSideProjection = "0";
   macroMap = "levels/Ouer_salt/art/terrains/salt_macro.dds";
   macroSize = "400";
   macroStrength = "0.28";
   macroDistance = "100000";
   normalMap = "levels/Ouer_salt/art/terrains/hex_normal.dds";
};
